## evolution-ews 3.28.1

=== CMakeLists.txt ===
# Evolution-EWS build script

cmake_minimum_required(VERSION 3.1)
cmake_policy(VERSION 3.1)

project(evolution-ews
	VERSION 3.28.1
	LANGUAGES C)
set(PROJECT_BUGREPORT "http://bugzilla.gnome.org/enter_bug.cgi?product=evolution-ews")

# Required for FindIntltool module
set(GETTEXT_PACKAGE ${PROJECT_NAME})
set(GETTEXT_PO_DIR ${CMAKE_SOURCE_DIR}/po)

# Required for 'disttest' and 'ditcheck' of DistTarget module
set(PROJECT_DISTCONFIGURE_PARAMS
	-DENABLE_TESTS=ON
)

# Keep these two definitions in agreement.
set(glib_minimum_version 2.46)
set(glib_encoded_version GLIB_VERSION_2_46)

# Keep these two definitions in agreement.
set(gdk_minimum_version 3.10)
set(gdk_encoded_version GDK_VERSION_3_10)

# Keep these two definitions in agreement.
set(soup_minimum_version 2.42)
set(soup_encoded_version SOUP_VERSION_2_42)

# Warn about API usage that violates our minimum requirements.
add_definitions(-DGLIB_VERSION_MAX_ALLOWED=${glib_encoded_version})
add_definitions(-DGDK_VERSION_MAX_ALLOWED=${gdk_encoded_version})
add_definitions(-DSOUP_VERSION_MAX_ALLOWED=${soup_encoded_version})

# These will suppress warnings about newly-deprecated symbols. Ideally
# these settings should match our minimum requirements and we will clean
# up any new deprecation warnings after bumping our minimum requirements.
# But if the warnings get to be overwhelming, use fixed versions instead.
add_definitions(-DGLIB_VERSION_MIN_REQUIRED=${glib_encoded_version})
add_definitions(-DGDK_VERSION_MIN_REQUIRED=${gdk_encoded_version})
add_definitions(-DSOUP_VERSION_MIN_REQUIRED=${soup_encoded_version})

set(eds_minimum_version ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
set(evo_minimum_version ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
set(mspack_minimum_version 0.4)

# Load modules from the source tree
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)
# Packagers might want to need different settings for the RPATH related things
# From experience, especially CMAKE_BUILD_WITH_INSTALL_RPATH might need to be
# switched to ON, if CMake fails to set the right values during make install
set(CMAKE_SKIP_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_SKIP_BUILD_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_BUILD_WITH_INSTALL_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH ON CACHE BOOL INTERNAL)
# CMAKE_INSTALL_RPATH is set below

# CMake modules
include(CheckCSourceCompiles)

# Project custom modules
include(PrintableOptions)

add_printable_variable(LIB_SUFFIX "Library directory suffix, usually defined to '64' for x86_64 systems" "")
add_printable_variable_bare(CMAKE_INSTALL_PREFIX)
add_printable_variable_path(BIN_INSTALL_DIR "Install directory for binary files, defaults to CMAKE_INSTALL_PREFIX/bin" "")
add_printable_variable_path(INCLUDE_INSTALL_DIR "Install directory for header files, defaults to CMAKE_INSTALL_PREFIX/include" "")
add_printable_variable_path(LIB_INSTALL_DIR "Install directory for library files, defaults to CMAKE_INSTALL_PREFIX/lib{LIB_SUFFIX}" "")
add_printable_variable_path(LIBEXEC_INSTALL_DIR "Install directory for library executable files, defaults to CMAKE_INSTALL_PREFIX/libexec" "")
add_printable_variable_path(SHARE_INSTALL_PREFIX "Install directory for shared files, defaults to CMAKE_INSTALL_PREFIX/share" "")
add_printable_variable_path(LOCALE_INSTALL_DIR "Install directory for locale files, defaults to SHARE_INSTALL_PREFIX/locale" "")
add_printable_variable_path(SYSCONF_INSTALL_DIR "Install directory for system configuration files, defaults to CMAKE_INSTALL_PREFIX/etc" "")

macro(ensure_default_value _var _defvalue)
	if(${_var} STREQUAL "")
		set(${_var} ${_defvalue})
	endif(${_var} STREQUAL "")
endmacro(ensure_default_value)

ensure_default_value(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
ensure_default_value(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
ensure_default_value(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
ensure_default_value(LIBEXEC_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/libexec")
ensure_default_value(SHARE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share")
ensure_default_value(LOCALE_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/locale")
ensure_default_value(SYSCONF_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/etc")

# ******************************
# Dependencies
# ******************************

include(CodeCoverageGCOV)
include(CheckTarget)
include(DistTargets)
include(EvolutionMacros)
include(GLibTools)
include(PkgConfigEx)
include(SetupBuildFlags)
include(UninstallTarget)

include(FindIntltool)

add_printable_option(ENABLE_MAINTAINER_MODE "Enable maintainer mode" OFF)

if(ENABLE_MAINTAINER_MODE)
	set(BUILD_TESTING ON)
endif(ENABLE_MAINTAINER_MODE)

# Setup compiler/linker flags
setup_build_flags(${ENABLE_MAINTAINER_MODE})

if(${ENABLE_MAINTAINER_MODE})
	add_definitions(-DEDS_DISABLE_DEPRECATED=1)
endif(${ENABLE_MAINTAINER_MODE})

set(MATH_LDFLAGS -lm)

pkg_check_modules(CAMEL REQUIRED camel-1.2>=${eds_minimum_version})
pkg_check_modules(EVOLUTION_DATA_SERVER REQUIRED evolution-data-server-1.2>=${eds_minimum_version})
pkg_check_modules(LIBEBACKEND REQUIRED libebackend-1.2>=${eds_minimum_version})
pkg_check_modules(LIBEBOOK REQUIRED libebook-1.2>=${eds_minimum_version})
pkg_check_modules(LIBECAL REQUIRED libecal-1.2>=${eds_minimum_version})
pkg_check_modules(LIBEDATABOOK REQUIRED libedata-book-1.2>=${eds_minimum_version})
pkg_check_modules(LIBEDATACAL REQUIRED libedata-cal-1.2>=${eds_minimum_version})
pkg_check_modules(LIBEDATASERVER REQUIRED libedataserver-1.2>=${eds_minimum_version})

pkg_check_modules(EVOLUTION_SHELL REQUIRED evolution-shell-3.0>=${evo_minimum_version})
pkg_check_modules(EVOLUTION_MAIL REQUIRED evolution-mail-3.0>=${evo_minimum_version})
pkg_check_modules(EVOLUTION_CALENDAR REQUIRED evolution-calendar-3.0>=${evo_minimum_version})

pkg_check_modules(GNOME_PLATFORM REQUIRED
	glib-2.0>=${glib_minimum_version}
	gtk+-3.0>=${gdk_minimum_version}
)

pkg_check_modules(LIBICAL REQUIRED libical)
pkg_check_modules(SOUP REQUIRED libsoup-2.4>=${soup_minimum_version})

# ******************************
# libmspack with OAB support
# ******************************

add_printable_option(WITH_MSPACK "Use libmspack for OAB decompress" ON)

if(WITH_MSPACK)
	pkg_check_modules_for_option(WITH_MSPACK "libmspack for OAB decompress" MSPACK libmspack>=${mspack_minimum_version})
endif(WITH_MSPACK)

# ******************************
# SOUP_MESSAGE_IDEMPOTENT flag
# ******************************

set(CMAKE_REQUIRED_INCLUDES ${SOUP_INCLUDE_DIRS})
set(CMAKE_REQUIRED_LIBRARIES ${SOUP_LDFLAGS})

CHECK_C_SOURCE_COMPILES("#include <libsoup/soup.h>
			int main(void) { SoupMessageFlags flag; flag = SOUP_MESSAGE_IDEMPOTENT; return 0; }" HAVE_SOUP_MESSAGE_IDEMPOTENT_FLAG)

unset(CMAKE_REQUIRED_INCLUDES)
unset(CMAKE_REQUIRED_LIBRARIES)

# ******************************
# uhttpmock for tests
# ******************************

add_printable_option(ENABLE_TESTS "Enable low level tests for EwsConnection" OFF)

if(ENABLE_TESTS)
	pkg_check_modules_for_option(ENABLE_TESTS "low level tests" UHTTPMOCK libuhttpmock-0.0)
endif(ENABLE_TESTS)

# ******************************
# Office365 OAuth2 support
# ******************************

add_printable_variable(WITH_OFFICE365_TENANT "Office365.com OAuth 2.0 tenant" "")

if(WITH_OFFICE365_TENANT STREQUAL "")
	set(WITH_OFFICE365_TENANT "")
endif(WITH_OFFICE365_TENANT STREQUAL "")

add_printable_variable(WITH_OFFICE365_CLIENT_ID "Office365.com OAuth 2.0 client ID" "")

if(WITH_OFFICE365_CLIENT_ID STREQUAL "")
	set(WITH_OFFICE365_CLIENT_ID "")
endif(WITH_OFFICE365_CLIENT_ID STREQUAL "")

add_printable_variable(WITH_OFFICE365_REDIRECT_URI "Office365.com OAuth 2.0 redirect URI" "")

if(WITH_OFFICE365_REDIRECT_URI STREQUAL "")
	set(WITH_OFFICE365_REDIRECT_URI "https://login.microsoftonline.com/common/oauth2/nativeclient")
endif(WITH_OFFICE365_REDIRECT_URI STREQUAL "")

# ******************************
# Special directories
# ******************************

set(privlibdir "${LIB_INSTALL_DIR}/${PROJECT_NAME}")

pkg_check_variable(errordir evolution-shell-3.0 errordir)
pkg_check_variable(evo_privlibdir evolution-shell-3.0 privlibdir)
pkg_check_variable(camel_providerdir camel-1.2 camel_providerdir)
pkg_check_variable(ebook_backenddir libedata-book-1.2 backenddir)
pkg_check_variable(ecal_backenddir libedata-cal-1.2 backenddir)
pkg_check_variable(eds_moduledir libebackend-1.2 moduledir)
pkg_check_variable(evo_moduledir evolution-shell-3.0 moduledir)
pkg_check_variable(ewsdatadir evolution-data-server-1.2 privdatadir)

set(ewsdatadir "${ewsdatadir}/ews")

SET(CMAKE_INSTALL_RPATH "${privlibdir}:${evo_privlibdir}")

if(WIN32)
	# On Win32 there is no "rpath" mechanism. We install the private
	# shared libraries in $libdir, meaning the DLLs will actually be in
	# $bindir. This means just having $bindir in PATH will be enough.
	set(privsolibdir "${LIB_INSTALL_DIR}")
else(WIN32)
	set(privsolibdir "${privlibdir}")
endif(WIN32)

# Generate the ${PROJECT_NAME}-config.h file
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/config.h.in ${CMAKE_BINARY_DIR}/${PROJECT_NAME}-config.h)

print_build_options()

add_appdata_file(org.gnome.Evolution-ews.metainfo.xml.in org.gnome.Evolution-ews.metainfo.xml)

add_subdirectory(po)
add_subdirectory(src)

if(ENABLE_TESTS)
	add_subdirectory(tests)
endif(ENABLE_TESTS)

=== src/CMakeLists.txt ===
macro(add_simple_module _name _sourcesvar _depsvar _defsvar _cflagsvar _incdirsvar _ldflagsvar _destination)
	set(DEPENDENCIES
		evolution-ews
	)

	set(SOURCES
		${${_sourcesvar}}
	)

	add_library(${_name} MODULE
		${SOURCES}
	)

	set_target_properties(${_name} PROPERTIES
		PREFIX ""
	)

	add_dependencies(${_name}
		${DEPENDENCIES}
		${${_depsvar}}
	)

	target_compile_definitions(${_name} PRIVATE
		-DG_LOG_DOMAIN=\"${_name}\"
		-DEXCHANGE_EWS_LOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
		${${_defsvar}}
	)

	target_compile_options(${_name} PUBLIC
		${LIBEBACKEND_CFLAGS}
		${LIBEDATASERVER_CFLAGS}
		${SOUP_CFLAGS}
		${${_cflagsvar}}
	)

	target_include_directories(${_name} PUBLIC
		${CMAKE_BINARY_DIR}
		${CMAKE_SOURCE_DIR}
		${LIBEBACKEND_INCLUDE_DIRS}
		${LIBEDATASERVER_INCLUDE_DIRS}
		${SOUP_INCLUDE_DIRS}
		${${_incdirsvar}}
	)

	target_link_libraries(${_name}
		${DEPENDENCIES}
		${${_depsvar}}
		${LIBEBACKEND_LDFLAGS}
		${LIBEDATASERVER_LDFLAGS}
		${SOUP_LDFLAGS}
		${${_ldflagsvar}}
	)

	install(TARGETS ${_name}
		DESTINATION ${_destination}
	)
endmacro(add_simple_module)

add_subdirectory(addressbook)
add_subdirectory(calendar)
add_subdirectory(camel)
add_subdirectory(collection)
add_subdirectory(configuration)
add_subdirectory(server)

=== src/camel/CMakeLists.txt ===
install(FILES libcamelews.urls
	DESTINATION ${camel_providerdir}
)

# *************************************************
# Installed private library which can be linked to
# *************************************************

glib_mkenums(camel-ews-enumtypes camel-ews-enums.h CAMEL_EWS_ENUMTYPES_H)

set(DEPENDENCIES
	evolution-ews
)

set(SOURCES
	camel-ews-enums.h
	camel-ews-folder.c
	camel-ews-folder.h
	camel-ews-message-info.c
	camel-ews-message-info.h
	camel-ews-private.h
	camel-ews-search.c
	camel-ews-search.h
	camel-ews-store-summary.c
	camel-ews-store-summary.h
	camel-ews-store.c
	camel-ews-store.h
	camel-ews-summary.c
	camel-ews-summary.h
	camel-ews-utils.c
	camel-ews-utils.h
	camel-ews-transport.c
	camel-ews-transport.h
	${CMAKE_CURRENT_BINARY_DIR}/camel-ews-enumtypes.c
	${CMAKE_CURRENT_BINARY_DIR}/camel-ews-enumtypes.h
)

add_library(camelews-priv SHARED
	${SOURCES}
)

add_dependencies(camelews-priv
	${DEPENDENCIES}
)

target_compile_definitions(camelews-priv PRIVATE
	-DG_LOG_DOMAIN=\"camel-ews-provider\"
	-DEXCHANGE_EWS_LOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
)

target_compile_options(camelews-priv PUBLIC
	${CAMEL_CFLAGS}
	${EVOLUTION_SHELL_CFLAGS}
	${EVOLUTION_MAIL_CFLAGS}
	${LIBEDATASERVER_CFLAGS}
	${LIBECAL_CFLAGS}
	${SOUP_CFLAGS}
)

target_include_directories(camelews-priv PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${CAMEL_INCLUDE_DIRS}
	${EVOLUTION_SHELL_INCLUDE_DIRS}
	${EVOLUTION_MAIL_INCLUDE_DIRS}
	${LIBEDATASERVER_INCLUDE_DIRS}
	${LIBECAL_INCLUDE_DIRS}
	${SOUP_INCLUDE_DIRS}
)

target_link_libraries(camelews-priv
	${DEPENDENCIES}
	${CAMEL_LDFLAGS}
	${EVOLUTION_SHELL_LDFLAGS}
	${EVOLUTION_MAIL_LDFLAGS}
	${LIBEDATASERVER_LDFLAGS}
	${LIBECAL_LDFLAGS}
	${SOUP_LDFLAGS}
)

install(TARGETS camelews-priv
	DESTINATION ${privsolibdir}
)

# *************************************************
# Provider module
# *************************************************

set(DEPENDENCIES
	camelews-priv
	evolution-ews
)

set(SOURCES
	camel-ews-provider.c
)

add_library(camelews MODULE
	${SOURCES}
)

add_dependencies(camelews
	${DEPENDENCIES}
)

target_compile_definitions(camelews PRIVATE
	-DG_LOG_DOMAIN=\"camel-ews-provider\"
	-DEXCHANGE_EWS_LOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
)

target_compile_options(camelews PUBLIC
	${CAMEL_CFLAGS}
	${EVOLUTION_SHELL_CFLAGS}
	${EVOLUTION_MAIL_CFLAGS}
	${LIBEDATASERVER_CFLAGS}
	${LIBECAL_CFLAGS}
	${SOUP_CFLAGS}
)

target_include_directories(camelews PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${CAMEL_INCLUDE_DIRS}
	${EVOLUTION_SHELL_INCLUDE_DIRS}
	${EVOLUTION_MAIL_INCLUDE_DIRS}
	${LIBEDATASERVER_INCLUDE_DIRS}
	${LIBECAL_INCLUDE_DIRS}
	${SOUP_INCLUDE_DIRS}
)

target_link_libraries(camelews
	${DEPENDENCIES}
	${CAMEL_LDFLAGS}
	${EVOLUTION_SHELL_LDFLAGS}
	${EVOLUTION_MAIL_LDFLAGS}
	${LIBEDATASERVER_LDFLAGS}
	${LIBECAL_LDFLAGS}
	${SOUP_LDFLAGS}
)

install(TARGETS camelews
	DESTINATION ${camel_providerdir}
)

=== src/server/CMakeLists.txt ===
glib_mkenums(e-ews-enumtypes e-ews-enums.h E_EWS_ENUMTYPES_H)

set(SOURCES
	camel-ews-settings.c
	camel-ews-settings.h
	camel-sasl-xoauth2-office365.c
	camel-sasl-xoauth2-office365.h
	e-ews-calendar-utils.c
	e-ews-calendar-utils.h
	e-ews-camel-common.c
	e-ews-camel-common.h
	e-ews-connection.c
	e-ews-connection.h
	e-ews-connection-utils.c
	e-ews-connection-utils.h
	e-ews-debug.c
	e-ews-debug.h
	e-ews-folder.c
	e-ews-folder.h
	e-ews-item.c
	e-ews-item.h
	e-ews-item-change.c
	e-ews-item-change.h
	e-ews-message.c
	e-ews-message.h
	e-ews-notification.c
	e-ews-notification.h
	e-ews-oof-settings.c
	e-ews-query-to-restriction.c
	e-ews-query-to-restriction.h
	e-oauth2-service-office365.c
	e-oauth2-service-office365.h
	e-soup-auth-negotiate.c
	e-soup-auth-negotiate.h
	e-soap-message.c
	e-soap-message.h
	e-soap-response.c
	e-soap-response.h
	e-source-ews-folder.c
	e-source-ews-folder.h
	ews-errors.c
	ews-errors.h
	${CMAKE_CURRENT_BINARY_DIR}/e-ews-enumtypes.c
	${CMAKE_CURRENT_BINARY_DIR}/e-ews-enumtypes.h
)

add_library(evolution-ews SHARED
	${SOURCES}
)

target_compile_definitions(evolution-ews PRIVATE
	-DG_LOG_DOMAIN=\"evolution-ews\"
)

target_compile_options(evolution-ews PUBLIC
	${CAMEL_CFLAGS}
	${EVOLUTION_CALENDAR_CFLAGS}
	${LIBEBACKEND_CFLAGS}
	${LIBECAL_CFLAGS}
	${LIBEDATACAL_CFLAGS}
	${LIBEDATASERVER_CFLAGS}
	${LIBICAL_CFLAGS}
	${SOUP_CFLAGS}
)

target_include_directories(evolution-ews PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${CAMEL_INCLUDE_DIRS}
	${EVOLUTION_CALENDAR_INCLUDE_DIRS}
	${LIBEBACKEND_INCLUDE_DIRS}
	${LIBECAL_INCLUDE_DIRS}
	${LIBEDATACAL_INCLUDE_DIRS}
	${LIBEDATASERVER_INCLUDE_DIRS}
	${LIBICAL_INCLUDE_DIRS}
	${SOUP_INCLUDE_DIRS}
)

target_link_libraries(evolution-ews
	${CAMEL_LDFLAGS}
	${EVOLUTION_CALENDAR_LDFLAGS}
	${LIBEBACKEND_LDFLAGS}
	${LIBECAL_LDFLAGS}
	${LIBEDATACAL_LDFLAGS}
	${LIBEDATASERVER_LDFLAGS}
	${LIBICAL_LDFLAGS}
	${SOUP_LDFLAGS}
)

install(TARGETS evolution-ews
	DESTINATION ${privsolibdir}
)

=== debian/changelog ===
evolution-ews (3.28.1-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies
    to >= 3.28.1.
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 10 Apr 2018 14:40:35 -0400

evolution-ews (3.28.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 26 Mar 2018 19:15:28 -0400

evolution-ews (3.28.0-1) experimental; urgency=medium

  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump evolution and evolution-data-server build dependencies
    to >= 3.28.0.

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Mar 2018 09:17:06 -0400

evolution-ews (3.26.3-2) unstable; urgency=medium

  * Switch Maintainer from Debian Evolution team to Debian GNOME team
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.3
  * Bump debhelper compat to 11
  * Enable all hardening flags

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 31 Dec 2017 23:48:43 -0500

evolution-ews (3.26.3-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies
    to >= 3.26.3.

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Dec 2017 09:39:07 -0500

evolution-ews (3.26.2-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies
    to >= 3.26.2.

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 30 Oct 2017 13:03:49 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: evolution-ews
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: cmake,
               debhelper (>= 11),
               gnome-pkg-tools,
               gnome-common,
               gtk-doc-tools (>= 1.9),
               evolution-dev (>= 3.28.1),
               evolution-data-server-dev (>= 3.28.1),
               libcamel1.2-dev (>= 3.28.1),
               libedataserver1.2-dev (>= 3.28.1),
               libebackend1.2-dev (>= 3.28.1),
               libecal1.2-dev (>= 3.28.1),
               libedata-cal1.2-dev (>= 3.28.1),
               libebook1.2-dev (>= 3.28.1),
               libedata-book1.2-dev (>= 3.28.1),
               libglib2.0-dev (>= 2.40),
               libgtk-3-dev (>= 3.0),
               libical-dev,
               libmspack-dev (>= 0.4),
               libsoup2.4-dev (>= 2.42),
               intltool (>= 0.35.5),
               libsqlite3-dev,
               pkg-config,
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/gnome-team/evolution-ews
Vcs-Git: https://salsa.debian.org/gnome-team/evolution-ews.git
Homepage: https://wiki.gnome.org/Apps/Evolution

Package: evolution-ews
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (>= ${evo:Version}),
         evolution (<< ${evo:NextVersion}),
         evolution-data-server (>= ${eds:Version}),
         evolution-data-server (<< ${eds:NextVersion}),
Description: Exchange Web Services integration for Evolution
 This package allows the Evolution mail and groupware suite to connect
 to Microsoft Exchange servers using the Exchange Web Services interface.
 .
 It works in a very similar way to the Evolution Exchange connector, but
 it supports the Exchange 2007 version.

## evolution-ews 3.28.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_policy(VERSION 3.1)
 
 project(evolution-ews
-	VERSION 3.28.1
+	VERSION 3.28.5
 	LANGUAGES C)
-set(PROJECT_BUGREPORT "http://bugzilla.gnome.org/enter_bug.cgi?product=evolution-ews")
+set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-ews/issues/")
 
 # Required for FindIntltool module
 set(GETTEXT_PACKAGE ${PROJECT_NAME})

=== debian/changelog ===
evolution-ews (3.28.5-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream bugfix version (lp: #1801889]
  * debian/control.in:
    - updated the evolution and eds requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 13 Feb 2019 12:43:09 +0100

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,23 @@
 Source: evolution-ews
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: cmake,
                debhelper (>= 11),
                gnome-pkg-tools,
                gnome-common,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.28.1),
-               evolution-data-server-dev (>= 3.28.1),
-               libcamel1.2-dev (>= 3.28.1),
-               libedataserver1.2-dev (>= 3.28.1),
-               libebackend1.2-dev (>= 3.28.1),
-               libecal1.2-dev (>= 3.28.1),
-               libedata-cal1.2-dev (>= 3.28.1),
-               libebook1.2-dev (>= 3.28.1),
-               libedata-book1.2-dev (>= 3.28.1),
+               evolution-dev (>= 3.28.5),
+               evolution-data-server-dev (>= 3.28.5),
+               libcamel1.2-dev (>= 3.28.5),
+               libedataserver1.2-dev (>= 3.28.5),
+               libebackend1.2-dev (>= 3.28.5),
+               libecal1.2-dev (>= 3.28.5),
+               libedata-cal1.2-dev (>= 3.28.5),
+               libebook1.2-dev (>= 3.28.5),
+               libedata-book1.2-dev (>= 3.28.5),
                libglib2.0-dev (>= 2.40),
                libgtk-3-dev (>= 3.0),
                libical-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

# see https://bugzilla.gnome.org/show_bug.cgi?id=594473 for details
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

EDS_VERSION = $(shell pkg-config --modversion evolution-data-server-1.2  | awk -F'.' '{print $$1 "." $$2}')
EDS_NEXTVERSION = $(shell pkg-config --modversion evolution-data-server-1.2  | awk -F'.' '{print $$1 "." $$2+1}')
EVO_VERSION = $(shell pkg-config --modversion evolution-shell-3.0  | awk -F'.' '{print $$1 "." $$2}')
EVO_NEXTVERSION = $(shell pkg-config --modversion evolution-shell-3.0  | awk -F'.' '{print $$1 "." $$2+1}')

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIBEXEC_INSTALL_DIR=/usr/lib \
		-DSYSCONF_INSTALL_DIR=/etc

override_dh_install:
	dh_install
	find debian/evolution-ews -name \*.la -delete

override_dh_makeshlibs:
	dh_makeshlibs -n -X/usr/lib/evolution-data-server/

override_dh_gencontrol:
	dh_gencontrol -- \
		-Veds:Version=$(EDS_VERSION) -Veds:NextVersion=$(EDS_NEXTVERSION) \
		-Vevo:Version=$(EVO_VERSION) -Vevo:NextVersion=$(EVO_NEXTVERSION)

## evolution-ews 3.30.1

=== debian/changelog ===
evolution-ews (3.30.1-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.30.1
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 24 Sep 2018 11:36:06 -0400

evolution-ews (3.30.0-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.30.0

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 03 Sep 2018 17:57:23 -0400

evolution-ews (3.29.92-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.29.92
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 27 Aug 2018 08:17:58 -0400

evolution-ews (3.29.90-1) experimental; urgency=medium

  * New upstream development release
  * Bump evolution and evolution-data-server build dependencies to >= 3.29.90

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 12 Aug 2018 00:03:59 -0400

evolution-ews (3.28.5-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.28.5

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 31 Jul 2018 11:14:47 -0400

evolution-ews (3.28.2-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies
    to >= 3.28.2.

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 07 May 2018 09:29:27 -0400

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,22 @@
 Source: evolution-ews
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: cmake,
                debhelper (>= 11),
                gnome-pkg-tools,
                gnome-common,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.28.5),
-               evolution-data-server-dev (>= 3.28.5),
-               libcamel1.2-dev (>= 3.28.5),
-               libedataserver1.2-dev (>= 3.28.5),
-               libebackend1.2-dev (>= 3.28.5),
-               libecal1.2-dev (>= 3.28.5),
-               libedata-cal1.2-dev (>= 3.28.5),
-               libebook1.2-dev (>= 3.28.5),
-               libedata-book1.2-dev (>= 3.28.5),
+               evolution-dev (>= 3.30.1),
+               evolution-data-server-dev (>= 3.30.1),
+               libcamel1.2-dev (>= 3.30.1),
+               libedataserver1.2-dev (>= 3.30.1),
+               libebackend1.2-dev (>= 3.30.1),
+               libecal1.2-dev (>= 3.30.1),
+               libedata-cal1.2-dev (>= 3.30.1),
+               libebook1.2-dev (>= 3.30.1),
+               libedata-book1.2-dev (>= 3.30.1),
                libglib2.0-dev (>= 2.40),
                libgtk-3-dev (>= 3.0),
                libical-dev,
@@ -30,7 +29,7 @@
                intltool (>= 0.35.5),
                libsqlite3-dev,
                pkg-config,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/evolution-ews
 Vcs-Git: https://salsa.debian.org/gnome-team/evolution-ews.git
 Homepage: https://wiki.gnome.org/Apps/Evolution

## evolution-ews 3.30.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_policy(VERSION 3.1)
 
 project(evolution-ews
-	VERSION 3.28.5
+	VERSION 3.30.5
 	LANGUAGES C)
 set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-ews/issues/")

=== debian/changelog ===
evolution-ews (3.30.5-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.30.5

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 04 Feb 2019 08:39:09 -0500

evolution-ews (3.30.3-2) unstable; urgency=medium

  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Drop obsolete Build-Depends on gnome-common
  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 07 Jan 2019 08:25:46 -0500

evolution-ews (3.30.3-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.30.3

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 10 Dec 2018 12:09:47 -0500

evolution-ews (3.30.2-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.30.2
  * Drop dh_install override unneeded after switch to cmake

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Nov 2018 08:34:19 -0500

=== debian/control ===
--- 
+++ 
@@ -8,19 +8,18 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                gnome-pkg-tools,
-               gnome-common,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.30.1),
-               evolution-data-server-dev (>= 3.30.1),
-               libcamel1.2-dev (>= 3.30.1),
-               libedataserver1.2-dev (>= 3.30.1),
-               libebackend1.2-dev (>= 3.30.1),
-               libecal1.2-dev (>= 3.30.1),
-               libedata-cal1.2-dev (>= 3.30.1),
-               libebook1.2-dev (>= 3.30.1),
-               libedata-book1.2-dev (>= 3.30.1),
+               evolution-dev (>= 3.30.5),
+               evolution-data-server-dev (>= 3.30.5),
+               libcamel1.2-dev (>= 3.30.5),
+               libedataserver1.2-dev (>= 3.30.5),
+               libebackend1.2-dev (>= 3.30.5),
+               libecal1.2-dev (>= 3.30.5),
+               libedata-cal1.2-dev (>= 3.30.5),
+               libebook1.2-dev (>= 3.30.5),
+               libedata-book1.2-dev (>= 3.30.5),
                libglib2.0-dev (>= 2.40),
                libgtk-3-dev (>= 3.0),
                libical-dev,
@@ -29,7 +28,7 @@
                intltool (>= 0.35.5),
                libsqlite3-dev,
                pkg-config,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/evolution-ews
 Vcs-Git: https://salsa.debian.org/gnome-team/evolution-ews.git
 Homepage: https://wiki.gnome.org/Apps/Evolution

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 # see https://bugzilla.gnome.org/show_bug.cgi?id=594473 for details
 export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
@@ -19,10 +19,6 @@
 		-DLIBEXEC_INSTALL_DIR=/usr/lib \
 		-DSYSCONF_INSTALL_DIR=/etc
 
-override_dh_install:
-	dh_install
-	find debian/evolution-ews -name \*.la -delete
-
 override_dh_makeshlibs:
 	dh_makeshlibs -n -X/usr/lib/evolution-data-server/

## evolution-ews 3.32.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_policy(VERSION 3.1)
 
 project(evolution-ews
-	VERSION 3.30.5
+	VERSION 3.32.0
 	LANGUAGES C)
 set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-ews/issues/")
 
@@ -26,8 +26,8 @@
 set(gdk_encoded_version GDK_VERSION_3_10)
 
 # Keep these two definitions in agreement.
-set(soup_minimum_version 2.42)
-set(soup_encoded_version SOUP_VERSION_2_42)
+set(soup_minimum_version 2.58)
+set(soup_encoded_version SOUP_VERSION_2_58)
 
 # Warn about API usage that violates our minimum requirements.
 add_definitions(-DGLIB_VERSION_MAX_ALLOWED=${glib_encoded_version})
@@ -114,7 +114,7 @@
 setup_build_flags(${ENABLE_MAINTAINER_MODE})
 
 if(${ENABLE_MAINTAINER_MODE})
-	add_definitions(-DEDS_DISABLE_DEPRECATED=1)
+	add_definitions(-DCAMEL_DISABLE_DEPRECATED=1 -DEDS_DISABLE_DEPRECATED=1)
 endif(${ENABLE_MAINTAINER_MODE})
 
 set(MATH_LDFLAGS -lm)

=== debian/changelog ===
evolution-ews (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.32.0

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Mar 2019 06:54:10 -0400

evolution-ews (3.31.90-1) experimental; urgency=medium

  * New upstream development release
  * Bump evolution and evolution-data-server build dependencies to >= 3.31.90
  * Build-Depend on dh-sequence-gnome
  * Stop overriding libexecdir

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 05 Feb 2019 14:31:59 -0500

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,17 @@
 Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 12),
-               gnome-pkg-tools,
+               dh-sequence-gnome,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.30.5),
-               evolution-data-server-dev (>= 3.30.5),
-               libcamel1.2-dev (>= 3.30.5),
-               libedataserver1.2-dev (>= 3.30.5),
-               libebackend1.2-dev (>= 3.30.5),
-               libecal1.2-dev (>= 3.30.5),
-               libedata-cal1.2-dev (>= 3.30.5),
-               libebook1.2-dev (>= 3.30.5),
-               libedata-book1.2-dev (>= 3.30.5),
+               evolution-dev (>= 3.32.0),
+               evolution-data-server-dev (>= 3.32.0),
+               libcamel1.2-dev (>= 3.32.0),
+               libedataserver1.2-dev (>= 3.32.0),
+               libebackend1.2-dev (>= 3.32.0),
+               libecal1.2-dev (>= 3.32.0),
+               libedata-cal1.2-dev (>= 3.32.0),
+               libebook1.2-dev (>= 3.32.0),
+               libedata-book1.2-dev (>= 3.32.0),
                libglib2.0-dev (>= 2.40),
                libgtk-3-dev (>= 3.0),
                libical-dev,

## evolution-ews 3.32.1

=== debian/changelog ===
evolution-ews (3.32.1-1) experimental; urgency=medium

  * New upstream release
  * Updated the eds and evo requirements to 3.32.1

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Apr 2019 16:06:58 +0200

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                debhelper-compat (= 12),
                dh-sequence-gnome,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.32.0),
-               evolution-data-server-dev (>= 3.32.0),
-               libcamel1.2-dev (>= 3.32.0),
-               libedataserver1.2-dev (>= 3.32.0),
-               libebackend1.2-dev (>= 3.32.0),
-               libecal1.2-dev (>= 3.32.0),
-               libedata-cal1.2-dev (>= 3.32.0),
-               libebook1.2-dev (>= 3.32.0),
-               libedata-book1.2-dev (>= 3.32.0),
+               evolution-dev (>= 3.32.1),
+               evolution-data-server-dev (>= 3.32.1),
+               libcamel1.2-dev (>= 3.32.1),
+               libedataserver1.2-dev (>= 3.32.1),
+               libebackend1.2-dev (>= 3.32.1),
+               libecal1.2-dev (>= 3.32.1),
+               libedata-cal1.2-dev (>= 3.32.1),
+               libebook1.2-dev (>= 3.32.1),
+               libedata-book1.2-dev (>= 3.32.1),
                libglib2.0-dev (>= 2.40),
                libgtk-3-dev (>= 3.0),
                libical-dev,

## evolution-ews 3.33.4

=== debian/changelog ===
evolution-ews (3.33.4-1) experimental; urgency=medium

  * New upstream release
  * debian/control: Update BDs per upstream

 -- Iain Lane <laney@debian.org>  Wed, 31 Jul 2019 16:22:19 +0100

evolution-ews (3.32.2-1) experimental; urgency=medium

  * New upstream release
  * Updated the eds and evo requirements to 3.32.2

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 21 May 2019 16:19:20 +0200

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,22 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 12),
                dh-sequence-gnome,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.32.1),
-               evolution-data-server-dev (>= 3.32.1),
-               libcamel1.2-dev (>= 3.32.1),
-               libedataserver1.2-dev (>= 3.32.1),
-               libebackend1.2-dev (>= 3.32.1),
-               libecal1.2-dev (>= 3.32.1),
-               libedata-cal1.2-dev (>= 3.32.1),
-               libebook1.2-dev (>= 3.32.1),
-               libedata-book1.2-dev (>= 3.32.1),
+               evolution-dev (>= 3.33.4),
+               evolution-data-server-dev (>= 3.33.4),
+               libcamel1.2-dev (>= 3.33.4),
+               libedataserver1.2-dev (>= 3.33.4),
+               libebackend1.2-dev (>= 3.33.4),
+               libecal2.0-dev (>= 3.33.4),
+               libedata-cal2.0-dev (>= 3.33.4),
+               libebook1.2-dev (>= 3.33.4),
+               libedata-book1.2-dev (>= 3.33.4),
                libglib2.0-dev (>= 2.40),
                libgtk-3-dev (>= 3.0),
-               libical-dev,
                libmspack-dev (>= 0.4),
                libsoup2.4-dev (>= 2.42),
                intltool (>= 0.35.5),

## evolution-ews 3.34.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_policy(VERSION 3.1)
 
 project(evolution-ews
-	VERSION 3.32.0
+	VERSION 3.34.1
 	LANGUAGES C)
 set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-ews/issues/")
 
@@ -12,7 +12,7 @@
 set(GETTEXT_PACKAGE ${PROJECT_NAME})
 set(GETTEXT_PO_DIR ${CMAKE_SOURCE_DIR}/po)
 
-# Required for 'disttest' and 'ditcheck' of DistTarget module
+# Required for 'disttest' and 'distcheck' of DistTarget module
 set(PROJECT_DISTCONFIGURE_PARAMS
 	-DENABLE_TESTS=ON
 )
@@ -45,6 +45,7 @@
 set(eds_minimum_version ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
 set(evo_minimum_version ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
 set(mspack_minimum_version 0.4)
+set(libical_glib_minimum_version 3.0.5)
 
 # Load modules from the source tree
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
@@ -123,9 +124,9 @@
 pkg_check_modules(EVOLUTION_DATA_SERVER REQUIRED evolution-data-server-1.2>=${eds_minimum_version})
 pkg_check_modules(LIBEBACKEND REQUIRED libebackend-1.2>=${eds_minimum_version})
 pkg_check_modules(LIBEBOOK REQUIRED libebook-1.2>=${eds_minimum_version})
-pkg_check_modules(LIBECAL REQUIRED libecal-1.2>=${eds_minimum_version})
+pkg_check_modules(LIBECAL REQUIRED libecal-2.0>=${eds_minimum_version})
 pkg_check_modules(LIBEDATABOOK REQUIRED libedata-book-1.2>=${eds_minimum_version})
-pkg_check_modules(LIBEDATACAL REQUIRED libedata-cal-1.2>=${eds_minimum_version})
+pkg_check_modules(LIBEDATACAL REQUIRED libedata-cal-2.0>=${eds_minimum_version})
 pkg_check_modules(LIBEDATASERVER REQUIRED libedataserver-1.2>=${eds_minimum_version})
 
 pkg_check_modules(EVOLUTION_SHELL REQUIRED evolution-shell-3.0>=${evo_minimum_version})
@@ -137,8 +138,9 @@
 	gtk+-3.0>=${gdk_minimum_version}
 )
 
-pkg_check_modules(LIBICAL REQUIRED libical)
 pkg_check_modules(SOUP REQUIRED libsoup-2.4>=${soup_minimum_version})
+
+pkg_check_modules(LIBICAL_GLIB REQUIRED libical-glib>=${libical_glib_minimum_version})
 
 # ******************************
 # libmspack with OAB support
@@ -180,7 +182,7 @@
 add_printable_variable(WITH_OFFICE365_TENANT "Office365.com OAuth 2.0 tenant" "")
 
 if(WITH_OFFICE365_TENANT STREQUAL "")
-	set(WITH_OFFICE365_TENANT "")
+	set(WITH_OFFICE365_TENANT "common")
 endif(WITH_OFFICE365_TENANT STREQUAL "")
 
 add_printable_variable(WITH_OFFICE365_CLIENT_ID "Office365.com OAuth 2.0 client ID" "")
@@ -205,7 +207,7 @@
 pkg_check_variable(evo_privlibdir evolution-shell-3.0 privlibdir)
 pkg_check_variable(camel_providerdir camel-1.2 camel_providerdir)
 pkg_check_variable(ebook_backenddir libedata-book-1.2 backenddir)
-pkg_check_variable(ecal_backenddir libedata-cal-1.2 backenddir)
+pkg_check_variable(ecal_backenddir libedata-cal-2.0 backenddir)
 pkg_check_variable(eds_moduledir libebackend-1.2 moduledir)
 pkg_check_variable(evo_moduledir evolution-shell-3.0 moduledir)
 pkg_check_variable(ewsdatadir evolution-data-server-1.2 privdatadir)

=== debian/changelog ===
evolution-ews (3.34.1-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.34.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 08 Oct 2019 21:17:44 -0400

evolution-ews (3.34.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 15:30:35 +0200

evolution-ews (3.34.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated e-d-s/evo requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 18 Sep 2019 17:26:09 +0200

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                debhelper-compat (= 12),
                dh-sequence-gnome,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.33.4),
-               evolution-data-server-dev (>= 3.33.4),
-               libcamel1.2-dev (>= 3.33.4),
-               libedataserver1.2-dev (>= 3.33.4),
-               libebackend1.2-dev (>= 3.33.4),
-               libecal2.0-dev (>= 3.33.4),
-               libedata-cal2.0-dev (>= 3.33.4),
-               libebook1.2-dev (>= 3.33.4),
-               libedata-book1.2-dev (>= 3.33.4),
+               evolution-dev (>= 3.34.1),
+               evolution-data-server-dev (>= 3.34.1),
+               libcamel1.2-dev (>= 3.34.1),
+               libedataserver1.2-dev (>= 3.34.1),
+               libebackend1.2-dev (>= 3.34.1),
+               libecal2.0-dev (>= 3.34.1),
+               libedata-cal2.0-dev (>= 3.34.1),
+               libebook1.2-dev (>= 3.34.1),
+               libedata-book1.2-dev (>= 3.34.1),
                libglib2.0-dev (>= 2.40),
                libgtk-3-dev (>= 3.0),
                libmspack-dev (>= 0.4),

## evolution-ews 3.35.92

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_policy(VERSION 3.1)
 
 project(evolution-ews
-	VERSION 3.34.1
+	VERSION 3.35.92
 	LANGUAGES C)
 set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-ews/issues/")

=== debian/changelog ===
evolution-ews (3.35.92-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - update the eds and evolution requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Mar 2020 17:05:37 +0100

evolution-ews (3.35.91-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - update the eds and evolution requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 25 Feb 2020 21:09:28 +0100

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                debhelper-compat (= 12),
                dh-sequence-gnome,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.34.1),
-               evolution-data-server-dev (>= 3.34.1),
-               libcamel1.2-dev (>= 3.34.1),
-               libedataserver1.2-dev (>= 3.34.1),
-               libebackend1.2-dev (>= 3.34.1),
-               libecal2.0-dev (>= 3.34.1),
-               libedata-cal2.0-dev (>= 3.34.1),
-               libebook1.2-dev (>= 3.34.1),
-               libedata-book1.2-dev (>= 3.34.1),
+               evolution-dev (>= 3.35.92),
+               evolution-data-server-dev (>= 3.35.92),
+               libcamel1.2-dev (>= 3.35.92),
+               libedataserver1.2-dev (>= 3.35.92),
+               libebackend1.2-dev (>= 3.35.92),
+               libecal2.0-dev (>= 3.35.92),
+               libedata-cal2.0-dev (>= 3.35.92),
+               libebook1.2-dev (>= 3.35.92),
+               libedata-book1.2-dev (>= 3.35.92),
                libglib2.0-dev (>= 2.40),
                libgtk-3-dev (>= 3.0),
                libmspack-dev (>= 0.4),

## evolution-ews 3.36.0

=== debian/changelog ===
evolution-ews (3.36.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - update the eds and evolution requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Mar 2020 16:58:32 +0100

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                debhelper-compat (= 12),
                dh-sequence-gnome,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.35.92),
-               evolution-data-server-dev (>= 3.35.92),
-               libcamel1.2-dev (>= 3.35.92),
-               libedataserver1.2-dev (>= 3.35.92),
-               libebackend1.2-dev (>= 3.35.92),
-               libecal2.0-dev (>= 3.35.92),
-               libedata-cal2.0-dev (>= 3.35.92),
-               libebook1.2-dev (>= 3.35.92),
-               libedata-book1.2-dev (>= 3.35.92),
+               evolution-dev (>= 3.36.0),
+               evolution-data-server-dev (>= 3.36.0),
+               libcamel1.2-dev (>= 3.36.0),
+               libedataserver1.2-dev (>= 3.36.0),
+               libebackend1.2-dev (>= 3.36.0),
+               libecal2.0-dev (>= 3.36.0),
+               libedata-cal2.0-dev (>= 3.36.0),
+               libebook1.2-dev (>= 3.36.0),
+               libedata-book1.2-dev (>= 3.36.0),
                libglib2.0-dev (>= 2.40),
                libgtk-3-dev (>= 3.0),
                libmspack-dev (>= 0.4),
